Bug 183991 - Crash when inserting a CD
Crash when inserting a CD
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cdparanoia (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
:
: 186143 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-04 12:29 EST by Kjartan Maraas
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-24 05:40:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 336812 None None None Never

  None (edit)
Description Kjartan Maraas 2006-03-04 12:29:23 EST
Description of problem:

I inserted a CD to burn it in sound-juicer when I got this crash. Looks like it
originates from gnome-cd which is started automatically when a new CD is inserted.

(gdb) bt
#0  0x00c03402 in ?? ()
#1  0x0078fa3b in ?? () from /lib/libpthread.so.0
#2  0x032c7086 in libgnomeui_segv_handle (signum=11) at gnome-ui-init.c:792
#3  <signal handler called>
#4  0x07786b77 in sg2_setup_scsi_cmd (d=0x94cfda0, cmdp=0xbfd31992 "Z",
cmd_len=10, in_size=0, out_size=22)
    at scsi_interface.c:396
#5  0x07787223 in mode_sense_atapi (d=0x94cfda0, size=22, page=42) at
scsi_interface.c:578
#6  0x077873f1 in mode_sense (d=0x94cfda0, size=22, page=42) at scsi_interface.c:618
#7  0x0778aac2 in check_mmc (d=0x94cfda0) at scsi_interface.c:1510
#8  0x0778aead in scsi_init_drive (d=0x94cfda0) at scsi_interface.c:1573
#9  0x0778ad4a in scsi_inquiry (d=0x94cfda0) at scsi_interface.c:1557
#10 0x07781b01 in sgio_cdda_identify_scsi (generic_device=0x948a088 "/dev/scd0",
ioctl_device=0x0,
    messagedest=0, messages=0x0) at scan_devices.c:538
#11 0x07781da9 in cdda_identify_scsi (generic_device=0x948a088 "/dev/scd0",
ioctl_device=0x0, messagedest=0,
    messages=0x0) at scan_devices.c:610
#12 0x0778090b in cdda_identify (device=0x948a088 "/dev/scd0", messagedest=0,
messages=0x0) at scan_devices.c:130
#13 0x07730143 in gst_cd_paranoia_src_open (cddabasesrc=0x94b8018,
device=0x948a088 "/dev/scd0")
    at gstcdparanoiasrc.c:161
#14 0x0774f80e in gst_cdda_base_src_start (basesrc=0x94b8018) at
gstcddabasesrc.c:1348
#15 0x02f68e69 in gst_base_src_start (basesrc=0x94b8018) at gstbasesrc.c:1468
#16 0x02f6a09b in gst_base_src_activate_push (pad=0x94b51d0, active=1) at
gstbasesrc.c:1598
#17 0x0341b843 in gst_pad_activate_push (pad=0x94b51d0, active=1) at gstpad.c:797
#18 0x0341b9b5 in gst_pad_activate_default (pad=0x94b51d0) at gstpad.c:549
#19 0x0341bfe6 in gst_pad_set_active (pad=0x94b51d0, active=1) at gstpad.c:637
#20 0x034064ae in activate_pads (pad=0x94b51d0, ret=0xbfd320b8,
active=0xbfd320a8) at gstelement.c:2248
#21 0x03410a57 in gst_iterator_fold (it=0x94cfd50, func=0x3406480
<activate_pads>, ret=0xbfd320b8,
    user_data=0xbfd320a8) at gstiterator.c:503
#22 0x03405f1b in iterator_fold_with_resync (iter=0x94cfd50, func=0x3406480
<activate_pads>, ret=0xbfd320b8,
    user_data=0xbfd320a8) at gstelement.c:2266
#23 0x03405ff8 in gst_element_pads_activate (element=0x94b8018, active=1) at
gstelement.c:2303
#24 0x0340646d in gst_element_change_state_func (element=0x94b8018,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2352
---Type <return> to continue, or q <return> to quit---
#25 0x02f6a32f in gst_base_src_change_state (element=0x94b8018,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstbasesrc.c:1706
#26 0x03402b98 in gst_element_change_state (element=0x94b8018,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2171
#27 0x03402cc2 in gst_element_change_state (element=0x94b8018,
transition=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2204
#28 0x03405b98 in gst_element_set_state_func (element=0x94b8018,
state=GST_STATE_PAUSED) at gstelement.c:2133
#29 0x03401d93 in gst_element_set_state (element=0x94b8018,
state=GST_STATE_PAUSED) at gstelement.c:2043
#30 0x033f7b32 in gst_bin_change_state_func (element=0x94ae008,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstbin.c:1710
#31 0x0341dfda in gst_pipeline_change_state (element=0x94ae008,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstpipeline.c:375
#32 0x00ede35b in gst_play_base_bin_change_state (element=0x94ae008,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstplaybasebin.c:1788
#33 0x00ed96a0 in gst_play_bin_change_state (element=0x94ae008,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstplaybin.c:1310
#34 0x03402b98 in gst_element_change_state (element=0x94ae008,
transition=GST_STATE_CHANGE_READY_TO_PAUSED)
    at gstelement.c:2171
#35 0x03402cc2 in gst_element_change_state (element=0x94ae008,
transition=GST_STATE_CHANGE_NULL_TO_READY)
    at gstelement.c:2204
#36 0x03405b98 in gst_element_set_state_func (element=0x94ae008,
state=GST_STATE_PAUSED) at gstelement.c:2133
#37 0x03401d93 in gst_element_set_state (element=0x94ae008,
state=GST_STATE_PAUSED) at gstelement.c:2043
#38 0x0805a1b7 in gst_cdrom_ensure_open (cdrom=0x94a9250) at gst-cdrom.c:803
#39 0x0805abbd in gst_cdrom_update_cd (gnome_cdrom=0x94a9250) at gst-cdrom.c:839
#40 0x08056e87 in gnome_cdrom_update_cd (cdrom=0x94a9250) at cdrom.c:749
#41 0x08056f6a in gnome_cdrom_construct (cdrom=0x94a9250, device=0x94aaa50
"/dev/scd0",
    update=GNOME_CDROM_UPDATE_CONTINOUS, lifetime=GNOME_CDROM_DEVICE_STATIC,
error=0xbfd326a4) at cdrom.c:852
#42 0x0805ae2f in gnome_cdrom_new (cdrom_device=0x94aaa50 "/dev/scd0",
update=GNOME_CDROM_UPDATE_CONTINOUS,
    error=0xbfd326a4) at gst-cdrom.c:716
#43 0x080521b8 in main (argc=Cannot access memory at address 0xa
) at gnome-cd.c:636

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Kjartan Maraas 2006-05-02 16:13:52 EDT
*** Bug 186143 has been marked as a duplicate of this bug. ***
Comment 2 Tom Tirrell 2006-05-29 14:22:04 EDT
This looks the same as Bug# 336812 on bugzilla.gnome.org. I have this same 
problem but only after I changed the default player in my preferences from 
totem to gnome-cd. 
Comment 3 Matthew Miller 2007-04-06 15:00:27 EDT
Fedora Core 5 and Fedora Core 6 are, as we're sure you've noticed, no longer
test releases. We're cleaning up the bug database and making sure important bug
reports filed against these test releases don't get lost. It would be helpful if
you could test this issue with a released version of Fedora or with the latest
development / test release. Thanks for your help and for your patience.

[This is a bulk message for all open FC5/FC6 test release bugs. I'm adding
myself to the CC list for each bug, so I'll see any comments you make after this
and do my best to make sure every issue gets proper attention.]
Comment 4 Kjartan Maraas 2007-09-24 05:40:49 EDT
Closing this one and I'll reopen/file a new bug if something like this happens
again.

Note You need to log in before you can comment on or make changes to this bug.